# Webpack

Small Wrapper Function for using Webpack. These Function is only Build to using, 

```
const tinyComponentsWebpack = require('@tiny-components/webpack')

module.exports = tinyComponentsWebpack({
    critical: [ './resources/js/index.js' ],
    styles: [ './resources/scss/styles.scss' ],
})
```

```
const tinyComponentsWebpack = require('@tiny-components/webpack')

module.exports = tinyComponentsWebpack({
    critical: [ './resources/js/critical.js' ], 
    styles: [ './resources/scss/styles.scss' ],
}, {
    svg: {
        src: [ 
            './resources/icons/*.svg'
        ]
    }
})
```

## Plugin: Riot.js

For using Riot.js, install compiler and webpack-loader 

```
npm install @riotjs/compiler @riotjs/webpack-loader --save-dev
``` 

And adding a rule for Riot.js, 

```
const tinyComponentsWebpack = require('@tiny-components/webpack')
const riotPlugin = require('@tiny-components/webpack/rules/riot')

module.exports = tinyComponentsWebpack({
    critical: [ './resources/js/critical.js' ], 
    styles: [ './resources/scss/styles.scss' ],
}, {
    rules: [ riotRules ]
})
```
